1. v1
Tourwell Open APIs
  • Tổng quan
  • Hướng dẫn xác thực
  • API Zalo Mini App (Beta)
  • API Changelog
  • Error Response
  • Khách hàng
    • v1
      • Get by id
        GET
      • Get all customer
        GET
      • Create customer
        POST
      • Update customer
        PUT
      • Get order history
        GET
      • Get destinations
        GET
      • Get guests
        GET
      • Get care history
        GET
  • Đơn hàng
    • v1
      • Get by id
      • Get all order
      • Get Passengers Order
      • Create order tour
      • Create order product
      • Create order hotel
      • Create order flight
      • Confirm payment order
      • Cancel order
      • Import Order Flight
  • Sản phẩm
    • v1
      • Create product
      • Get by id
      • Calendar pricing
      • Get all product
      • Get schedule by id
      • Update product
  • Chiết tinh giá
    • v1
      • Overview
  • Nhà cung cấp
    • v1
      • Get all suppliers
      • Get suppliers products
  • Lịch khởi hành
    • v1
      • Get all tour
      • Create tour
  • Lead (Cơ hội)
    • Overview
    • Update History
    • v1
      • Get all lead
      • Get by id
      • Create lead
      • Update lead
  • Báo giá
    • v1
      • Update schedules
      • Update policy
  • Khách sạn
    • v1
      • Get all hotel
      • Get by id
  • Kế toán
    • Phiếu thu
      • v1
        • Get all receipt
        • Create receipt
        • Update receipt
        • Confirm Receipt Success
    • Phiếu chi
      • v1
        • Get all payment
        • Confirm Payment
    • Hóa đơn
      • Update invoice
      • Issue Invoice
      • Get by id
      • Cancel invoice
  • Phê duyệt
    • v1
      • Overview
      • Summary
      • Approvals
  • Cấu hình
    • Zalo ZNS
      • Danh sách Tag
      • Get token
    • Địa điểm
      • Search
    • Nhân sự nội bộ
      • Search
    • Webhook
      • Hướng dẫn cài đặt
    • Trạng thái khách hàng
      • Get All
    • Loại dịch vụ
    • Mã sân bay
      • Get All Airport
  • Hướng dẫn tích hợp
    • Hướng dẫn tích hợp thanh toán trực tuyến qua Website và Tourwell
    • Hướng dẫn tích hợp thanh toán trực tuyến qua Website, Cổng thanh toán và Tourwell
  1. v1

Get destinations

GET
/api/v1/customers/{id}/destinations
Địa điểm khách đã đi theo từng khách hàng cụ thể

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://demo.tourwell.net/api/v1/customers//destinations' \
--header 'Authorization: Bearer <token>'

Responses

🟢200
application/json
Bodyapplication/json

Example
{
    "success": true,
    "message": "OK",
    "data": {
        "customer_id": 2229,
        "total": 3,
        "items": [
            {
                "order_id": 1524,
                "order_code": "UP1524",
                "order_item_id": 2046,
                "check_in": "2026-05-17",
                "check_out": "2026-05-17",
                "location_id": 59,
                "location_name": "Hồ Chí Minh",
                "location_type": "city",
                "airport_id": 2
            },
            {
                "order_id": 1525,
                "order_code": "UP1525",
                "order_item_id": 2047,
                "check_in": "2026-05-17",
                "check_out": "2026-05-19",
                "location_id": 228,
                "location_name": "Úc",
                "location_type": "country",
                "airport_id": null
            },
            {
                "order_id": 1523,
                "order_code": "UP1523",
                "order_item_id": 2045,
                "check_in": "2026-05-15",
                "check_out": "2026-05-16",
                "location_id": 1,
                "location_name": "Việt Nam",
                "location_type": "country",
                "airport_id": null
            }
        ]
    }
}
Modified at 2026-05-19 23:24:56
Previous
Get order history
Next
Get guests
Built with